-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.22-community-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema tms2
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ tms2;
USE tms2;

--
-- Table structure for table `tms2`.`deventsource`
--

DROP TABLE IF EXISTS `deventsource`;
CREATE TABLE `deventsource` (
  `id` int(11) NOT NULL auto_increment,
  `sid` int(11) default NULL,
  `stype` int(10) unsigned default NULL,
  `eid` int(11) default NULL,
  `status` int(10) unsigned default NULL,
  `time` datetime default NULL,
  PRIMARY KEY  (`id`),
  KEY `eid` (`eid`),
  CONSTRAINT `FK_DEventSource_1` FOREIGN KEY (`eid`) REFERENCES `mevent` (`eid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tms2`.`deventsource`
--

/*!40000 ALTER TABLE `deventsource` DISABLE KEYS */;
/*!40000 ALTER TABLE `deventsource` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`deventsubscriber`
--

DROP TABLE IF EXISTS `deventsubscriber`;
CREATE TABLE `deventsubscriber` (
  `id` int(11) NOT NULL auto_increment COMMENT '内部管理ID',
  `eid` int(11) default NULL COMMENT 'イベントID',
  `subid` int(11) default NULL COMMENT 'イベント購読元内部管理ID',
  `subtype` int(10) unsigned default NULL COMMENT 'イベント購読元種類（0:ロボット,1:センサー）',
  `time` datetime default NULL COMMENT '最後更新時刻',
  PRIMARY KEY  (`id`),
  KEY `eid` (`eid`),
  CONSTRAINT `FK_DEventSubscriber_1` FOREIGN KEY (`eid`) REFERENCES `mevent` (`eid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='イベント購読データ';

--
-- Dumping data for table `tms2`.`deventsubscriber`
--

/*!40000 ALTER TABLE `deventsubscriber` DISABLE KEYS */;
/*!40000 ALTER TABLE `deventsubscriber` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`dlink`
--

DROP TABLE IF EXISTS `dlink`;
CREATE TABLE `dlink` (
  `did` int(11) NOT NULL default '0' COMMENT 'ロボット内部管理ID',
  `vid` int(11) default NULL COMMENT 'ビジョンID',
  `logout_time` datetime default NULL COMMENT 'ロボット前回ログアウト時刻',
  PRIMARY KEY  (`did`),
  KEY `vid` (`vid`),
  KEY `rid` (`did`),
  CONSTRAINT `FK_dlink_1` FOREIGN KEY (`did`) REFERENCES `mdevice` (`did`),
  CONSTRAINT `FK_dlink_2` FOREIGN KEY (`vid`) REFERENCES `dvision` (`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='紐付けデータ; InnoDB free: 11264 kB; (`rid`) REFER `tm';

--
-- Dumping data for table `tms2`.`dlink`
--

/*!40000 ALTER TABLE `dlink` DISABLE KEYS */;
/*!40000 ALTER TABLE `dlink` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`drobot`
--

DROP TABLE IF EXISTS `drobot`;
CREATE TABLE `drobot` (
  `did` int(11) NOT NULL default '0' COMMENT 'ロボット内部管理ID',
  `coordid` int(11) default NULL COMMENT '座標系ID',
  `status` int(10) unsigned default NULL COMMENT '状態（wait：0, busy：1）',
  `skills` varchar(256) default NULL COMMENT '技能',
  `message` varchar(256) default NULL COMMENT 'メッセージ',
  `height` double default NULL COMMENT '身長',
  `color` int(11) default NULL COMMENT '色',
  `shape` varchar(100) default NULL COMMENT '形状',
  `radius` double default NULL COMMENT '安全半径',
  `srd_radius` double default NULL COMMENT '周囲半径',
  `coord_x` double default NULL COMMENT '座標X',
  `coord_y` double default NULL COMMENT '座標Y',
  `coord_z` double default NULL COMMENT '座標Z',
  `orient_p` double default NULL COMMENT '向きP',
  `orient_r` double default NULL COMMENT '向きR',
  `orient_y` double default NULL COMMENT '向きY',
  `vel_x` double default NULL COMMENT '速度X',
  `vel_y` double default NULL COMMENT '速度Y',
  `vel_z` double default NULL COMMENT '速度Z',
  `additional` varchar(256) default NULL COMMENT '附加情報',
  `loc_time` datetime default NULL COMMENT '採取時刻',
  `img` blob COMMENT '画像バイナリデータ（サイズは最大64Kバイト）',
  `img_ver` int(10) unsigned NOT NULL default '0' COMMENT '画像バージョン',
  PRIMARY KEY  (`did`),
  CONSTRAINT `FK_drobot_1` FOREIGN KEY (`did`) REFERENCES `mdevice` (`did`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='ロボットデータ';

--
-- Dumping data for table `tms2`.`drobot`
--

/*!40000 ALTER TABLE `drobot` DISABLE KEYS */;
INSERT INTO `drobot` (`did`,`coordid`,`status`,`skills`,`message`,`height`,`color`,`shape`,`radius`,`srd_radius`,`coord_x`,`coord_y`,`coord_z`,`orient_p`,`orient_r`,`orient_y`,`vel_x`,`vel_y`,`vel_z`,`additional`,`loc_time`,`img`,`img_ver`) VALUES 
 (2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0);
/*!40000 ALTER TABLE `drobot` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`drobothistory`
--

DROP TABLE IF EXISTS `drobothistory`;
CREATE TABLE `drobothistory` (
  `id` bigint(20) unsigned NOT NULL auto_increment COMMENT '履歴ID',
  `rid` int(11) default NULL COMMENT 'ロボット内部管理ID',
  `robotid` varchar(20) default NULL COMMENT 'ロボットID',
  `userid` varchar(20) default NULL COMMENT 'ユーザID',
  `coord_x` double default NULL COMMENT '座標X',
  `coord_y` double default NULL COMMENT '座標Y',
  `coord_z` double default NULL COMMENT '座標Z',
  `orient_p` double default NULL COMMENT '向きP',
  `orient_r` double default NULL COMMENT '向きR',
  `orient_y` double default NULL COMMENT '向きY',
  `vel_x` double default NULL COMMENT '速度X',
  `vel_y` double default NULL COMMENT '速度Y',
  `vel_z` double default NULL COMMENT '速度Z',
  `loc_time` datetime default NULL COMMENT '採取時刻',
  `action` varchar(100) default NULL,
  `time` datetime default NULL,
  `additional` varchar(100) default NULL,
  PRIMARY KEY  (`id`),
  KEY `IX_DRobotHistory_2` (`loc_time`),
  KEY `IX_DRobotHistory_1` (`robotid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='ロボット位置履歴データ';

--
-- Dumping data for table `tms2`.`drobothistory`
--

/*!40000 ALTER TABLE `drobothistory` DISABLE KEYS */;
INSERT INTO `drobothistory` (`id`,`rid`,`robotid`,`userid`,`coord_x`,`coord_y`,`coord_z`,`orient_p`,`orient_r`,`orient_y`,`vel_x`,`vel_y`,`vel_z`,`loc_time`,`action`,`time`,`additional`) VALUES 
 (1,2,'r1','u1',5,8,10,3.5,4.5,5.5,20,30,10,'2009-06-21 15:00:29','aaa','2009-02-12 00:00:00','付加情報'),
 (2,2,'r1','u1',5,8,10,3.5,4.5,5.5,20,30,10,'2009-06-21 15:03:01','aaa','2009-02-19 19:17:51','付加情報'),
 (3,2,'r2','u1',25,3.5,4,4.5,5,5.5,6,6.5,7,'2009-06-21 15:08:54','aaabbb','2009-02-19 20:37:54','付加情報'),
 (4,2,'r2','u1',25,3,4.5,5,5.5,6.5,7,7.5,8,'2009-06-21 15:09:40','aaabbb','2009-02-19 20:37:54','付加情報');
/*!40000 ALTER TABLE `drobothistory` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`dtag_cabinet`
--

DROP TABLE IF EXISTS `dtag_cabinet`;
CREATE TABLE `dtag_cabinet` (
  `tagid` varchar(100) NOT NULL default '' COMMENT 'タグID（収納棚ID）',
  `type` int(10) unsigned default NULL COMMENT '収納棚種別',
  `manufacturer` varchar(40) default NULL COMMENT 'メーカー',
  `registration` datetime default NULL COMMENT '登録日（使用開始日）\r\n登録日（使用開始日）',
  `additionalinfo` varchar(256) default NULL COMMENT '附加情報',
  `width` double default NULL COMMENT '幅',
  `depth` double default NULL COMMENT '奥行き',
  `height` double default NULL COMMENT '高さ',
  `capacity` int(10) unsigned default NULL COMMENT '容量（個数、枚数）',
  `space` int(10) unsigned default NULL COMMENT '空き容量（個数、枚数）',
  `sens_start_x` double default NULL COMMENT 'センシング開始位置（座標X）',
  `sens_start_y` double default NULL COMMENT 'センシング開始位置（座標Y）',
  `sens_start_z` double default NULL COMMENT 'センシング開始位置（座標Z）',
  `sens_width` double default NULL COMMENT 'センシング幅',
  PRIMARY KEY  (`tagid`),
  CONSTRAINT `FK_dtag_cabinet_1` FOREIGN KEY (`tagid`) REFERENCES `mtag` (`tagid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='収納棚情報データ';

--
-- Dumping data for table `tms2`.`dtag_cabinet`
--

/*!40000 ALTER TABLE `dtag_cabinet` DISABLE KEYS */;
/*!40000 ALTER TABLE `dtag_cabinet` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`dtag_content`
--

DROP TABLE IF EXISTS `dtag_content`;
CREATE TABLE `dtag_content` (
  `tagid` varchar(100) NOT NULL default '' COMMENT 'タグID（収納物ID）',
  `type` int(10) unsigned default NULL COMMENT '収納物種別',
  `manufacturer` varchar(40) default NULL COMMENT 'メーカー',
  `registration` datetime default NULL COMMENT '登録日（使用開始日）',
  `comment` varchar(256) default NULL COMMENT '説明',
  `width` double default NULL COMMENT '幅',
  `depth` double default NULL COMMENT '奥行き',
  `height` double default NULL COMMENT '高さ',
  `history` datetime default NULL COMMENT '使用履歴（最終使用日）',
  `status` int(10) unsigned default NULL COMMENT '状態：0:使用不可, 1:使用可',
  `schedule` varchar(256) default NULL COMMENT '使用可となる予定・実績',
  `cabinetid` varchar(100) default NULL COMMENT '収納棚ID',
  PRIMARY KEY  (`tagid`),
  CONSTRAINT `FK_dtag_content_1` FOREIGN KEY (`tagid`) REFERENCES `mtag` (`tagid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='収納物情報データ; InnoDB free: 11264 kB';

--
-- Dumping data for table `tms2`.`dtag_content`
--

/*!40000 ALTER TABLE `dtag_content` DISABLE KEYS */;
/*!40000 ALTER TABLE `dtag_content` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`dvision`
--

DROP TABLE IF EXISTS `dvision`;
CREATE TABLE `dvision` (
  `vid` int(11) NOT NULL auto_increment COMMENT 'ビジョンID（移動体ID）',
  `status` int(10) unsigned default NULL COMMENT '状態',
  `property` int(10) unsigned default NULL COMMENT '属性',
  `coord_x` double default NULL COMMENT '座標X',
  `coord_y` double default NULL COMMENT '座標Y',
  `coord_z` double default NULL COMMENT '座標Z',
  `orient_p` double default NULL COMMENT '向きP',
  `orient_r` double default NULL COMMENT '向きR',
  `orient_y` double default NULL COMMENT '向きY',
  `vel_x` double default NULL COMMENT '速度X',
  `vel_y` double default NULL COMMENT '速度Y',
  `vel_z` double default NULL COMMENT '速度Z',
  `additional` varchar(255) default NULL COMMENT '附加情報',
  `time` datetime default NULL COMMENT '採取時刻',
  `img` blob COMMENT '画像バイナリデータ（サイズは最大64Kバイト）',
  `img_ver` int(10) unsigned NOT NULL default '0' COMMENT '画像バージョン',
  `name` varchar(40) default NULL COMMENT '名前',
  `action` varchar(40) default NULL COMMENT '動作',
  `place` varchar(40) default NULL COMMENT '場所（ベッド、居間など）',
  `did` int(11) NOT NULL default '0' COMMENT '内部管理(どのビジョンが捕らえたか）',
  PRIMARY KEY  (`vid`,`did`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='ビジョンデータ';

--
-- Dumping data for table `tms2`.`dvision`
--

/*!40000 ALTER TABLE `dvision` DISABLE KEYS */;
/*!40000 ALTER TABLE `dvision` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`dvisionhistory`
--

DROP TABLE IF EXISTS `dvisionhistory`;
CREATE TABLE `dvisionhistory` (
  `id` bigint(20) unsigned NOT NULL auto_increment COMMENT '履歴ID',
  `rid` int(11) default NULL COMMENT 'ロボット内部管理ID',
  `robotid` varchar(20) default NULL COMMENT 'ロボットID',
  `userid` varchar(20) default NULL COMMENT 'ユーザID',
  `vid` int(11) default NULL COMMENT 'ビジョンID（移動体ID）',
  `coord_x` double default NULL COMMENT '座標X',
  `coord_y` double default NULL COMMENT '座標Y',
  `coord_z` double default NULL COMMENT '座標Z',
  `orient_p` double default NULL COMMENT '向きP',
  `orient_r` double default NULL COMMENT '向きR',
  `orient_y` double default NULL COMMENT '向きY',
  `vel_x` double default NULL COMMENT '速度X',
  `vel_y` double default NULL COMMENT '速度Y',
  `vel_z` double default NULL COMMENT '速度Z',
  `loc_time` datetime default NULL COMMENT '採取時刻',
  PRIMARY KEY  (`id`),
  KEY `IX_DVisionHistory_1` (`robotid`),
  KEY `IX_DVisionHistory_2` (`loc_time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tms2`.`dvisionhistory`
--

/*!40000 ALTER TABLE `dvisionhistory` DISABLE KEYS */;
/*!40000 ALTER TABLE `dvisionhistory` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`mcoordinate`
--

DROP TABLE IF EXISTS `mcoordinate`;
CREATE TABLE `mcoordinate` (
  `cid` int(10) unsigned NOT NULL auto_increment COMMENT '内部管理ID\r\n内部管理ID\r\n内部管理ID',
  `param1` double default NULL COMMENT '座標変換式パラメータ1',
  `param2` double default NULL COMMENT '座標変換式パラメータ2',
  `param3` double default NULL COMMENT '座標変換式パラメータ3',
  `param4` double default NULL COMMENT '座標変換式パラメータ4',
  `param5` double default NULL COMMENT '座標変換式パラメータ5',
  `param6` double default NULL COMMENT '座標変換式パラメータ6',
  `param7` double default NULL COMMENT '座標変換式パラメータ7',
  `param8` double default NULL COMMENT '座標変換式パラメータ8',
  `param9` double default NULL COMMENT '座標変換式パラメータ9',
  `param10` double default NULL COMMENT '座標変換式パラメータ10',
  `param11` double default NULL COMMENT '座標変換式パラメータ11',
  `param12` double default NULL COMMENT '座標変換式パラメータ12',
  PRIMARY KEY  (`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='座標系マスタ';

--
-- Dumping data for table `tms2`.`mcoordinate`
--

/*!40000 ALTER TABLE `mcoordinate` DISABLE KEYS */;
/*!40000 ALTER TABLE `mcoordinate` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`mdevice`
--

DROP TABLE IF EXISTS `mdevice`;
CREATE TABLE `mdevice` (
  `did` int(11) NOT NULL auto_increment COMMENT '内部管理ID',
  `deviceid` varchar(20) default NULL COMMENT 'デバイスID',
  `devicetype` int(10) unsigned default NULL COMMENT '種別： 0:ロボット,1:センサー',
  `userid` varchar(20) default NULL COMMENT 'ユーザID',
  `password` varchar(20) default NULL COMMENT 'パスワード',
  `privilege` int(10) unsigned default NULL COMMENT '権限',
  `host` varchar(53) default NULL COMMENT 'ホスト名',
  `ip` varchar(39) default NULL COMMENT 'ipアドレス',
  `port` varchar(5) default NULL COMMENT 'ポート番号',
  `loginstatus` int(10) unsigned default NULL COMMENT '状態： 0:ログアウト, 1:ログイン',
  PRIMARY KEY  (`did`),
  UNIQUE KEY `IX_MRobot_2` (`deviceid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='デバイスマスタ';

--
-- Dumping data for table `tms2`.`mdevice`
--

/*!40000 ALTER TABLE `mdevice` DISABLE KEYS */;
INSERT INTO `mdevice` (`did`,`deviceid`,`devicetype`,`userid`,`password`,`privilege`,`host`,`ip`,`port`,`loginstatus`) VALUES 
 (1,'robot1',0,'user1','abc',0,'mcc200','192.168.1.61','8081',0),
 (2,'r1',0,'u1','abc',0,'mcc200','192.168.1.61','8081',1),
 (3,'r2',0,'u2','abc',0,NULL,NULL,NULL,0),
 (4,'r3',0,'u3','abc',0,NULL,NULL,NULL,0);
/*!40000 ALTER TABLE `mdevice` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`mevent`
--

DROP TABLE IF EXISTS `mevent`;
CREATE TABLE `mevent` (
  `eid` int(11) NOT NULL,
  `comment` varchar(20) default NULL,
  PRIMARY KEY  (`eid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tms2`.`mevent`
--

/*!40000 ALTER TABLE `mevent` DISABLE KEYS */;
INSERT INTO `mevent` (`eid`,`comment`) VALUES 
 (101,'test');
/*!40000 ALTER TABLE `mevent` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`mmap`
--

DROP TABLE IF EXISTS `mmap`;
CREATE TABLE `mmap` (
  `mid` int(10) unsigned NOT NULL default '0' COMMENT '内部管理ID',
  `mapid` varchar(255) NOT NULL default '' COMMENT '地図ID',
  `coordid` int(10) unsigned default NULL COMMENT '座標系ID',
  `scale` double unsigned default NULL COMMENT '縮尺',
  `type` int(10) unsigned default NULL COMMENT '種類',
  `coord_x1` double default NULL COMMENT '地図左上起点x座標',
  `coord_y1` double default NULL COMMENT '地図左上起点y座標',
  `coord_z1` double default NULL COMMENT '地図左上起点z座標',
  `coord_x2` double default NULL COMMENT '地図右下終点x座標',
  `coord_y2` double default NULL COMMENT '地図右下終点y座標\r\n',
  `coord_z2` double default NULL COMMENT '地図右下終点z座標',
  `content` mediumblob COMMENT 'バイナリデータ（サイズは最大16Mバイト）',
  `grid_x_width` double default NULL COMMENT 'グリッドx幅',
  `grid_y_width` double default NULL COMMENT 'グリッドy幅',
  `grid_x_counts` int(10) default NULL COMMENT 'x方向のグリッド数',
  `grid_y_counts` int(10) default NULL COMMENT 'y方向のグリッド数',
  `datasize` int(10) default NULL COMMENT 'グリッドひとつあたりのデータサイズ',
  `nodeid` varchar(255) default NULL COMMENT 'ノードID\r\n【グラフ地図データ(新規)：No.2：地図ID個数1】',
  PRIMARY KEY  (`mid`),
  UNIQUE KEY `Index_2` (`mapid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tms2`.`mmap`
--

/*!40000 ALTER TABLE `mmap` DISABLE KEYS */;
/*!40000 ALTER TABLE `mmap` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`mmodule`
--

DROP TABLE IF EXISTS `mmodule`;
CREATE TABLE `mmodule` (
  `moduleid` varchar(32) NOT NULL default '',
  `classname` varchar(256) NOT NULL default '' COMMENT '拡張モジュールのFunctionEntryのクラス名',
  `executable` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`moduleid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tms2`.`mmodule`
--

/*!40000 ALTER TABLE `mmodule` DISABLE KEYS */;
/*!40000 ALTER TABLE `mmodule` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`mobjectjaninfo`
--

DROP TABLE IF EXISTS `mobjectjaninfo`;
CREATE TABLE `mobjectjaninfo` (
  `jancode` varchar(20) NOT NULL default '',
  `maker_kanji` varchar(45) default NULL,
  `maker_kana` varchar(45) default NULL,
  `name_kanji` varchar(45) default NULL,
  `name_kana` varchar(45) default NULL,
  `type_kanji` varchar(45) default NULL,
  `type_kana` varchar(45) default NULL,
  `comment` varchar(45) default NULL,
  `price` double default NULL,
  `weight` double default NULL,
  `classification` int(10) unsigned default NULL,
  `ex_im` int(10) unsigned default NULL,
  `sale_start_date` datetime default NULL,
  `width` double default NULL,
  `height` double default NULL,
  `depth` double default NULL,
  `unit` varchar(20) default NULL,
  `term_validity` datetime default NULL,
  `nation` int(10) unsigned default NULL,
  PRIMARY KEY  (`jancode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tms2`.`mobjectjaninfo`
--

/*!40000 ALTER TABLE `mobjectjaninfo` DISABLE KEYS */;
INSERT INTO `mobjectjaninfo` (`jancode`,`maker_kanji`,`maker_kana`,`name_kanji`,`name_kana`,`type_kanji`,`type_kana`,`comment`,`price`,`weight`,`classification`,`ex_im`,`sale_start_date`,`width`,`height`,`depth`,`unit`,`term_validity`,`nation`) VALUES 
 ('j1','食堂','トラットリア','虫','ビートルズ','音楽','おんがく','album of the year',800000,20222,1,0,'2110-01-01 15:30:45',29222,10000,19000,'2002','2113-07-01 09:59:59',1),
 ('j2','撫欄度B','ブランドB','商品B','ショウヒンB','型番B','カタバンB','簡易商品説明テストB',1.1,2.2,1,2,'2009-02-22 12:10:06',10.1,3.3,4.4,'ミリ秒','2009-12-10 10:02:00',3),
 ('j3',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0),
 ('jtes',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `mobjectjaninfo` ENABLE KEYS */;


--
-- Table structure for table `tms2`.`mtag`
--

DROP TABLE IF EXISTS `mtag`;
CREATE TABLE `mtag` (
  `tagid` varchar(100) NOT NULL default '' COMMENT 'タグID',
  `type` int(10) unsigned NOT NULL default '0' COMMENT 'タグ種類',
  `coord_x` double default NULL COMMENT '汎用位置情報（座標X）',
  `coord_y` double default NULL COMMENT '汎用位置情報（座標Y）',
  `coord_z` double default NULL COMMENT '汎用位置情報（座標Z）',
  `orient_p` double default NULL COMMENT '汎用位置情報（向きP）',
  `orient_r` double default NULL COMMENT '汎用位置情報（向きR）',
  `orient_y` double default NULL COMMENT '汎用位置情報（向きY）',
  `vel_x` double default NULL COMMENT '汎用位置情報（速度X）',
  `vel_y` double default NULL COMMENT '汎用位置情報（速度Y）',
  `vel_z` double default NULL COMMENT '汎用位置情報（速度Z）',
  `additional` varchar(256) default NULL COMMENT '汎用位置情報（附加情報）',
  `name` varchar(40) default NULL COMMENT '汎用物品情報（名前）',
  `size` varchar(40) default NULL COMMENT '汎用物品情報（サイズ）',
  `color` int(11) default NULL COMMENT '汎用物品情報（色）',
  `task` varchar(256) default NULL COMMENT '汎用タスク情報',
  `loctype` int(10) unsigned default NULL COMMENT '領域種別 0:通常領域 1:禁止領域',
  `objectid` int(10) unsigned default NULL,
  `shape` mediumblob,
  `images` mediumblob,
  `jancode` varchar(100) default NULL,
  PRIMARY KEY  (`tagid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='タグ汎用情報マスタ; InnoDB free: 11264 kB';

--
-- Dumping data for table `tms2`.`mtag`
--

/*!40000 ALTER TABLE `mtag` DISABLE KEYS */;
INSERT INTO `mtag` (`tagid`,`type`,`coord_x`,`coord_y`,`coord_z`,`orient_p`,`orient_r`,`orient_y`,`vel_x`,`vel_y`,`vel_z`,`additional`,`name`,`size`,`color`,`task`,`loctype`,`objectid`,`shape`,`images`,`jancode`) VALUES 
 ('id1',0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1000,NULL,0x323030,'j2'),
 ('id2',0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2000,0x313030,NULL,NULL),
 ('id3',0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,NULL,0x0101020201010202,'j1'),
 ('id4',0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,0x0102030102030708,NULL,'jtes');
/*!40000 ALTER TABLE `mtag` ENABLE KEYS */;


--
-- View structure for view `tms2`.`vlocation`
--

DROP VIEW IF EXISTS `vlocation`;
CREATE ALGORITHM=UNDEFINED DEFINER=`tms`@`localhost` SQL SECURITY DEFINER VIEW `vlocation` AS (select `m`.`deviceid` AS `deviceid`,`m`.`did` AS `did`,0 AS `visiondid`,1 AS `type`,`dr`.`coord_x` AS `coord_x`,`dr`.`coord_y` AS `coord_y`,`dr`.`orient_y` AS `orient_y`,ifnull(`dr`.`message`,_utf8'') AS `message`,`dr`.`img_ver` AS `img_ver` from (`mdevice` `m` join `drobot` `dr`) where ((`m`.`did` = `dr`.`did`) and (`dr`.`loc_time` is not null) and not(`dr`.`did` in (select `dl`.`did` AS `did` from `dlink` `dl`)))) union (select `m`.`deviceid` AS `deviceid`,`m`.`did` AS `did`,`dv`.`did` AS `visiondid`,2 AS `type`,`dv`.`coord_x` AS `coord_x`,`dv`.`coord_y` AS `coord_y`,`dv`.`orient_y` AS `orient_y`,ifnull(`dr`.`message`,_utf8'') AS `message`,`dv`.`img_ver` AS `img_ver` from (((`mdevice` `m` join `drobot` `dr`) join `dlink` `dl`) join `dvision` `dv`) where ((`m`.`did` = `dr`.`did`) and (`dr`.`did` = `dl`.`did`) and (`dl`.`vid` = `dv`.`vid`))) union (select `dv`.`vid` AS `vid`,0 AS `did`,`dv`.`did` AS `visiondid`,3 AS `type`,`dv`.`coord_x` AS `coord_x`,`dv`.`coord_y` AS `coord_y`,`dv`.`orient_y` AS `orient_y`,_utf8'' AS `message`,`dv`.`img_ver` AS `img_ver` from `dvision` `dv` where not(`dv`.`vid` in (select `dl`.`vid` AS `vid` from `dlink` `dl`)));


--
-- Table structure for table `tms2`.`mgraphmap`
--

DROP TABLE IF EXISTS `mgraphmap`;
CREATE TABLE `mgraphmap` (
  `gmid` int(11) NOT NULL auto_increment COMMENT '内部管理ID',
  `tagid` varchar(100) NOT NULL default '' COMMENT 'タグID',
  `graphmapid` varchar(255) default NULL COMMENT 'グラフ地図ID',
  `type` varchar(40) default NULL COMMENT '種類（建物、階、部屋、収納庫）',
  `comment` varchar(255) default NULL COMMENT 'コメント',
  `status` int(11) default NULL COMMENT '状態',
  `hgraphmapid` varchar(255) default NULL COMMENT '上位のグラフ地図ID',
  `coordinateid` int(11) default NULL COMMENT '座標ID',
  `grid_mapid` varchar(255) default NULL COMMENT 'グリッド地図ID',
  `linked_graphmapid` varchar(255) default NULL COMMENT 'リンクしているグラフ地図ID',
  `x_graphmapid` double default NULL COMMENT 'リンクしているグラフ地図IDのx座標',
  `y_graphmapid` double default NULL COMMENT 'リンクしているグラフ地図IDのy座標',
  `z_graphmapid` double default NULL COMMENT 'リンクしているグラフ地図IDのz座標',
  PRIMARY KEY  (`gmid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='グラフ地図マスタ';




--
-- Table structure for table `tms2`.`mgraphmapblid`
--

DROP TABLE IF EXISTS `mgraphmapblid`;
CREATE TABLE `mgraphmapblid` (
  `gmblid` int(11) NOT NULL auto_increment COMMENT '内部管理ID',
  `tagid` varchar(100) NOT NULL default '' COMMENT 'タグID',
  `graphmapid` varchar(255) default NULL COMMENT 'グラフ地図ID',
  `id_type` int(11) default NULL COMMENT 'ID種別',
  `belong_graphid` varchar(255) default NULL COMMENT '所属しているグラフ地図ID(建物、階、部屋、収納庫)',
  `belong_tagid` varchar(255) default NULL COMMENT '所属しているタグID',
  `belong_visionid` int(11) default NULL COMMENT '所属しているビジョンID(移動体)',
  PRIMARY KEY  (`gmblid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='グラフ地図所属ID';


/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
